Subject: Re: [bug#42899] [PATCH v2 02/10] gnu: dovecot: Patch and provide a static path for module directory.

From: Alexey Abramov <[email-masked]>
Date: Mon, 24 Aug 2020 12:01:37 +0200

Efraim Flashner <[email-masked]> writes:

> On Wed, Aug 19, 2020 at 11:44:20AM +0200, Alexey Abramov wrote:
>> Hi,
>> 
>> Efraim Flashner <[email-masked]> writes:
>> 
>> > How are all the XXX_MODULE_DIR variables set? Would it be possible to
>> > just set MODULE_DIR to /etc/dovecot/modules and leave the others as-is?
>> > They seem to just use a file/folder under MODULE_DIR.
>> 
>> They set during compilation time. If I pass it as a configuration option, dovecot will try to install libraries there which won't work.
>
> This was enough to jog my memory that we have a couple of packages (with
> services) that have configure flags for one directory and install to
> %outputs as expected. I came up with the attached patch to make that
> happen.

Thank you very much! I have just tested it, and as you might probably know everything works as expected. I will push your updated patch as soon as guys review the services part. 

-- 
Alexey